
_interrupt:

;USB_HID.c,10 :: 		void interrupt() {
;USB_HID.c,11 :: 		USB_Interrupt_Proc();
	CALL        _USB_Interrupt_Proc+0, 0
;USB_HID.c,12 :: 		}
L_end_interrupt:
L__interrupt4:
	RETFIE      1
; end of _interrupt

_main:

;USB_HID.c,14 :: 		void main() {
;USB_HID.c,15 :: 		OSCCON = 0b01110000;          //8MHz
	MOVLW       112
	MOVWF       OSCCON+0 
;USB_HID.c,16 :: 		PLLEN_bit = 1;                //Enable PLL (now 48MHz)
	BSF         PLLEN_bit+0, 6 
;USB_HID.c,17 :: 		HID_Enable(&USBin,&USBout);   //Enable HID communication
	MOVLW       _USBin+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_USBin+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _USBout+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_USBout+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;USB_HID.c,18 :: 		while (1) {
L_main0:
;USB_HID.c,19 :: 		if (HID_Read() != 0) {
	CALL        _HID_Read+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L_main2
;USB_HID.c,20 :: 		strcpy(&USBout, &USBin);
	MOVLW       _USBout+0
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(_USBout+0)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       _USBin+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(_USBin+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;USB_HID.c,21 :: 		HID_Write(&USBout, 64);
	MOVLW       _USBout+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_USBout+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
;USB_HID.c,22 :: 		}
L_main2:
;USB_HID.c,23 :: 		}
	GOTO        L_main0
;USB_HID.c,24 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
